#version 130
precision highp float;

uniform mat4 persp;
uniform mat4 model;

in vec2 vertex;
in vec2 texCoord;

out vec2 frag_texCoord;

void main()
{
	frag_texCoord = texCoord;
	gl_Position =  persp * model * vec4(vertex.xy, 0.0f, 1.0f);
}