#version 130
precision highp float;

uniform mat4 persp;
uniform mat4 camera;
uniform mat4 model;

in vec4 vertex;
in vec2 texCoord;

out vec2 world_texCoord;


void main()
{
	world_texCoord = texCoord * 4;
	
	//world_texCoord = texCoord;
	gl_Position = persp * vec4((camera * vec4((model * vertex).xyz, 0.0f)).xyz, 1.0f);
	
}