#version 130
precision highp float;

uniform mat4 persp;
uniform mat4 camera;
uniform bool wireFrameNet;
//uniform mat4 glowOffset;

in vec4 vertex;
in vec4 lineColor;
in float tunnelLength;
in vec2 texCoord;


out vec4 vert_color;
out float vert_tunnelLength;
out vec2 frag_texCoord;
out vec4 fragPerspPos;

void main()
{
	/*
	if(wireFrameNet)
	{
		gl_Position = persp * camera * glowOffset * vertex;
	}
	else
	{
		gl_Position = persp * camera * vertex;
	}
	*/
	fragPerspPos = persp * camera * vertex;
	gl_Position = fragPerspPos;
	vert_color = lineColor;
	frag_texCoord = texCoord;
	vert_tunnelLength = tunnelLength;
}